download-third-party:
	rm -rf ./grpc/third_party
	mkdir -p ./grpc/third_party
	cd ./grpc/third_party && git clone https://github.com/googleapis/googleapis.git
	mv ./grpc/third_party/googleapis/google ./grpc
	mv ./grpc/third_party/googleapis/grafeas ./grpc
	rm -rf ./grpc/third_party

gen-proto:
	mkdir -p ./grpc

	@protoc -I ./grpc \
			--go_out=grpc --go_opt paths=source_relative \
			--go-grpc_out=grpc --go-grpc_opt paths=source_relative \
			--grpc-gateway_out=grpc --grpc-gateway_opt paths=source_relative \
			./grpc/snapshot.proto
